package com.qmth.sop.server.auth.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.boot.core.solar.model.WxappAccessToken;
import com.qmth.sop.business.entity.TWxappAccessToken;
import com.qmth.sop.business.mapper.TWxappAccessTokenMapper;
import com.qmth.sop.server.auth.WxappAccessTokenService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
public class WxappAccessTokenServiceImpl extends ServiceImpl<TWxappAccessTokenMapper, TWxappAccessToken> implements WxappAccessTokenService {
    private static WxappAccessToken wt;

    @Override
    public WxappAccessToken getWxappAccessToken() {
        if (wt != null) {
            return wt;
        }
        TWxappAccessToken e = this.getById(1L);
        wt = new WxappAccessToken();
        wt.setAccessToken(e.getAccessToken());
        wt.setExpireTime(e.getExpiresTime());
        return wt;
    }

    @Transactional
    @Override
    public void saveWxappAccessToken(String accessToken, Long expiresTime) {
        wt.setAccessToken(accessToken);
        wt.setExpireTime(expiresTime);
        TWxappAccessToken e = this.getById(1L);
        e.setAccessToken(accessToken);
        e.setExpiresTime(expiresTime);
        this.updateById(e);
    }

}
